# =========================================================================== #
# Code to test the save_file functionality.
# =========================================================================== #
require 'colours/autoinclude'
require 'save_file/autoinclude'
N = "\n"
save_into = '/Depot/Temp/OK'
if File.exist? save_into
  File.delete(save_into)
end
e 'We will test the functionality of the save_file gem next.'
e 'We will save our test dataset into the '+
  'directory: '+sdir(save_into)+N+N
e '(1) First, we test the save_file() functionality:'
e 'For this, we will save the string "yo" '+
  'into `'+sfile(save_into)+'`.'
save_file('yo', save_into)

e
e '(2) Second, we test the append_what_into() '+
  'functionality:'
e 'This will append the string "there" into '+
  'the same file.'
append_what_into(' there', save_into)
append_what_into(' OMG!'+N+N+N+'CAN THIS REALLY BE?', 
  save_into)
e 'Done!'
e
e 'View the file at:'
e
e '  cat '+sfile(save_into)
e